WordPress.org

Forums

HTML coding bug in 2.5 (4 posts)

  1. nospam22
    Member
    Posted 7 years ago #

    I am getting really annoyed at a coding bug in WP 2.5. If you place an image or some other object in your post and center it, all the text following automatically adds an align left html command which triggers validation errors. What that means is that every time I center something I have to go back through 2.5 and clean up the code. NOT FUN.

    No other version of WP had this bug. Please fix it or this user will downgrade back to 2.3 (which I may do anyway as the new "look" full of problems). I violated an old rule when I upgraded to 2.5 which was not to ever use a new version of anything until the bugs are worked out. With 2.5 that will take some time since this version is a mess. The list of problems I have with it agrees with others already posted so I won't repeat those other than to add you have another long-time user who thinks this version has too many problems.

    An easy solution--throw out the bad 2.5 code and put back in the 2.3 code. I also agree with users that the drastic changes require naming it 3.0.

    In short, you violated a major caveat for coders--ask your users before gutting a program to the extent you did in 2.5.

  2. nospam22
    Member
    Posted 7 years ago #

    I'll try again.

    I am getting really annoyed at an issue with WP 2.5. If you place an image or some other object in your post and center it, all the text following automatically adds an align left html command which triggers validation errors. What that means is that every time I center something I have to go back through 2.5 and clean up the code. NOT FUN.

    What is the solution to this?

  3. rawalex
    Inactive
    Posted 7 years ago #

    Do what I do... don't use the tinyMCE / visual editor. Not only does it add unwanted tags at times, but it also double encodes (UTF-8) your posts in a manner that can screw up feed readers (as the feed output encodes in UTF-8 as well, effectively DOUBLE encoding posts.

  4. whataslacker
    Member
    Posted 7 years ago #

    I know I will be spending the evening going back to 2.3 on all my sites. Man did I make a mistake on updating to this version. It is ugly and does not work.

    Bad job guys :(

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags